org.jfree.chart.labels

## Class IntervalCategoryToolTipGenerator

- java.lang.Object
- - org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
  - - org.jfree.chart.labels.StandardCategoryToolTipGenerator
    - - org.jfree.chart.labels.IntervalCategoryToolTipGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CategoryToolTipGenerator, org.jfree.util.PublicCloneable

    public class IntervalCategoryToolTipGenerator
    extends StandardCategoryToolTipGenerator

A tooltip generator for plots that use data from an `IntervalCategoryDataset`.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_TOOL_TIP_FORMAT_STRING` The default format string.

### Constructor Summary

Constructors
Constructor and Description
`IntervalCategoryToolTipGenerator()` Creates a new generator with a default number formatter.
`IntervalCategoryToolTipGenerator(java.lang.String labelFormat, java.text.DateFormat formatter)` Creates a new generator with the specified date formatter.
`IntervalCategoryToolTipGenerator(java.lang.String labelFormat, java.text.NumberFormat formatter)` Creates a new generator with the specified number formatter.

### Method Summary

Methods
`protected java.lang.Object[]` `createItemArray(CategoryDataset dataset, int row, int column)` Creates the array of items that can be passed to the `MessageFormat` class for creating labels.
`boolean` `equals(java.lang.Object obj)` Tests this tool tip generator for equality with an arbitrary object.

### Methods inherited from class org.jfree.chart.labels.StandardCategoryToolTipGenerator

`generateToolTip`

### Methods inherited from class org.jfree.chart.labels.AbstractCategoryItemLabelGenerator

`clone, generateColumnLabel, generateLabelString, generateRowLabel, getDateFormat, getLabelFormat, getNumberFormat, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TOOL_TIP_FORMAT_STRING

    public static final java.lang.String DEFAULT_TOOL_TIP_FORMAT_STRING

The default format string.

See Also:
  Constant Field Values

### Constructor Detail

#### IntervalCategoryToolTipGenerator

    public IntervalCategoryToolTipGenerator()

Creates a new generator with a default number formatter.

#### IntervalCategoryToolTipGenerator

    public IntervalCategoryToolTipGenerator(java.lang.String labelFormat,
                                    java.text.NumberFormat formatter)

Creates a new generator with the specified number formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the number formatter (`null` not permitted).

#### IntervalCategoryToolTipGenerator

    public IntervalCategoryToolTipGenerator(java.lang.String labelFormat,
                                    java.text.DateFormat formatter)

Creates a new generator with the specified date formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the date formatter (`null` not permitted).

### Method Detail

#### createItemArray

    protected java.lang.Object[] createItemArray(CategoryDataset dataset,
                                     int row,
                                     int column)

Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

Overrides:
  `createItemArray` in class `AbstractCategoryItemLabelGenerator`
Parameters:
  `dataset` - the dataset (`null` not permitted).
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The items (never `null`).

#### equals

    public boolean equals(java.lang.Object obj)

Tests this tool tip generator for equality with an arbitrary object.

Overrides:
  `equals` in class `StandardCategoryToolTipGenerator`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.